Delete a Knowledge Base in a Project
delete
/ic/api/integration/v1/projects/{projectId}/ai/knowledgeBases/{id}
Deletes the Knowledge Base with the specified identifier from the project. Use the hardDelete parameter to permanently erase all related configurations and indexes.
Request
Path Parameters
-
id(required): string
Rag knowledge base identifier
-
projectId(required): string
Project identifier
Query Parameters
-
connectionId: string
Connection Id
-
dbType: string
DB type e.g opensearch
-
hardDelete: boolean
Hard delete will permanently erase the knowledge base, including all related configurations and indexes. Once deleted, the data cannot be recovered.
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
deleteProjectRagKnowledgeBase 200 response
Root Schema : Object
Type:
object